Download file bytes directly, local development only
GET
/api/v1/files/{fileContentId}/download-local
const url = 'https://app.avera.io/api/v1/files/2489E9AD-2EE2-8E00-8EC9-32D5F69181C0/download-local';const options = {method: 'GET'};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request GET \ --url https://app.avera.io/api/v1/files/2489E9AD-2EE2-8E00-8EC9-32D5F69181C0/download-localAvailable only when the storage provider is local, which cannot serve presigned URLs.
Parameters
Section titled “Parameters”Path Parameters
Section titled “Path Parameters”fileContentId
required
string format: uuid
Responses
Section titled “Responses”OK
Media type*/*
string format: binary